Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sns.model
Class ListSubscriptionsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.sns.model.ListSubscriptionsRequest

    public class ListSubscriptionsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `ListSubscriptions operation`.

The ListSubscriptions action returns a list of the requester's subscriptions. Each call returns a limited list of subscriptions. If there are more subscriptions, a NextToken is also returned. Use the NextToken parameter in a new ListSubscriptions call to get further results.

See Also:
  `AmazonSNS.listSubscriptions(ListSubscriptionsRequest)`

Constructor Summary
`ListSubscriptionsRequest()` Default constructor for a new ListSubscriptionsRequest object.
`ListSubscriptionsRequest(String nextToken)` Constructs a new ListSubscriptionsRequest object.

Method Summary
`String` | `getNextToken()` Token returned by the previous ListSubscriptions request.
`void` | `setNextToken(String nextToken)` Token returned by the previous ListSubscriptions request.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListSubscriptionsRequest` | `withNextToken(String nextToken)` Token returned by the previous ListSubscriptions request.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListSubscriptionsRequest

    public ListSubscriptionsRequest()

  Default constructor for a new ListSubscriptionsRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### ListSubscriptionsRequest

    public ListSubscriptionsRequest(String nextToken)

  Constructs a new ListSubscriptionsRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `nextToken` - Token returned by the previous ListSubscriptions request.

Method Detail

### getNextToken

    public String getNextToken()

  Token returned by the previous ListSubscriptions request.

  Returns:
    Token returned by the previous ListSubscriptions request.

### setNextToken

    public void setNextToken(String nextToken)

  Token returned by the previous ListSubscriptions request.

  Parameters:
    `nextToken` - Token returned by the previous ListSubscriptions request.

### withNextToken

    public ListSubscriptionsRequest withNextToken(String nextToken)

  Token returned by the previous ListSubscriptions request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `nextToken` - Token returned by the previous ListSubscriptions request.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.